From: Robert Luberda <robert@debian.org>
Date: Sat, 5 Feb 2011 00:36:00 +0100
Subject: Fix various gcc warnings

---
 src/mailbox.c    | 7 +++----
 src/maildir.c    | 7 ++++---
 src/main.c       | 5 ++++-
 src/standalone.c | 5 ++++-
 4 files changed, 15 insertions(+), 9 deletions(-)

diff --git a/src/mailbox.c b/src/mailbox.c
index 36774fe..224d79a 100644
--- a/src/mailbox.c
+++ b/src/mailbox.c
@@ -249,7 +249,7 @@ void mb_end_of_adding(void) {
 
 int mb_add_message(int fd) {
 	off_t tmpwhere;
-	ssize_t mcount, tmp;
+	ssize_t mcount;
 	char linebuf[128];
 	char msgdate[21];
 	struct mb_message *mbspecific;
@@ -365,7 +365,6 @@ mailbox doesn't exist");
 				header = 0;
 			newline = 1;
 		}
-		tmp = mcount;
 	};
 	md5_finish_ctx(&context, mbspecific->digest);
 	close(fd);
@@ -390,11 +389,11 @@ int mb_parse(int compare) {
 	struct mb_message *tmp;
 	struct md5_ctx context;
 	int tmpmsgnr = 0;
-	time_t tmpmsg_time;
+	time_t tmpmsg_time = 0;
 	off_t tmpfrom_where = 0, tmpwhere = 0;
 	size_t tmpfrom_size = 0, tmpsize = 0, tmpcrlfsize = 0;
 	char tmpdigest[16];
-	int newline = 1, header, fixed;
+	int newline = 1, header = 0, fixed = 0;
 	
 	if (compare)
 		if (lseek(mailboxfd, 0, SEEK_SET) < 0) {
diff --git a/src/maildir.c b/src/maildir.c
index 0b0a538..58523b9 100644
--- a/src/maildir.c
+++ b/src/maildir.c
@@ -58,6 +58,7 @@ static const char rcsid[] = "$Id: maildir.c,v 1.5 2000/05/13 13:25:52 jurekb Exp
 #include <time.h>
 #endif
 #endif
+#include <stdint.h>
 
 extern void check_wccount(void);
 
@@ -118,7 +119,7 @@ int mdir_add_message(int fd) {
 	pid_t ntmppid = getpid() + nnomsg;
 	time_t tmptime = time(NULL);
 	int nmsgfd;
-	ssize_t mcount, tmp;
+	ssize_t mcount = 0 , tmp = 0;
 	char linebuf[128];
 	
 	if (mdir_exists == 0) {
@@ -134,7 +135,7 @@ doesn't exist");
 		exit(1);
 	};
 	do {
-		snprintf(msgname, sizeof(msgname), "tmp/%u.%u.%.256s", tmptime, tmppid, hstname);
+		snprintf(msgname, sizeof(msgname), "tmp/%ju.%u.%.256s", (uintmax_t)tmptime, tmppid, hstname);
 		if ((strlen(msgname) + strlen(maildrop_name) + 2) > sizeof(filename)) {
 			close(fd);
 			pop_log(pop_priority, "maildir: message file name is too long");
@@ -257,7 +258,7 @@ doesn't exist");
 		exit(1);
 	};
 	do {
-		snprintf(msgname, sizeof(msgname), "new/%u.%u.%.256s", tmptime, ntmppid, hstname);
+		snprintf(msgname, sizeof(msgname), "new/%ju.%u.%.256s", (uintmax_t)tmptime, ntmppid, hstname);
 		if ((strlen(msgname) + strlen(maildrop_name) + 2) > sizeof(nfilename)) {
 			close(fd);
 			unlink(filename);
diff --git a/src/main.c b/src/main.c
index 9c0a7dd..b1ad812 100644
--- a/src/main.c
+++ b/src/main.c
@@ -1075,7 +1075,10 @@ int main(int argc, char **argv)
 #endif
 	alarm(0);
 	umask(0077);
-	chdir("/");
+	if (chdir("/") < 0) {
+		pop_error("chdir");
+		exit(1);
+	};
 	
 #if defined(DEBIAN) && defined(STANDALONE)
 	if (!standalone) {
diff --git a/src/standalone.c b/src/standalone.c
index 2a8496f..7273748 100644
--- a/src/standalone.c
+++ b/src/standalone.c
@@ -143,7 +143,10 @@ int main(int argc, char **argv) {
 		pop_error("setrlimit");
 		exit(1);
 	};
-	chdir("/");	
+	if (chdir("/") < 0) {
+		pop_error("socket");
+		exit(1);
+	};
 	signal(SIGCHLD, sa_sig_handler);
 
 #ifdef SPIPV6
